curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}/actions \
--header 'Authorization: Bearer <token>'{
"totalCount": 123,
"actions": [
{
"id": "<string>",
"systemId": "<string>",
"name": "<string>",
"path": "<string>",
"parameters": [
{
"name": "<string>",
"required": true,
"default": "<string>"
}
],
"contentType": "<string>",
"summary": "<string>",
"description": "<string>",
"graphqlQuery": "<string>",
"request": "<string>",
"response": "<string>"
}
],
"next": "<string>",
"prev": "<string>"
}ListSystemActions returns a list of all the actions for the given system.
If the project_id query parameter is provided, this endpoint will only return actions that are being used
in that project.
curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}/actions \
--header 'Authorization: Bearer <token>'{
"totalCount": 123,
"actions": [
{
"id": "<string>",
"systemId": "<string>",
"name": "<string>",
"path": "<string>",
"parameters": [
{
"name": "<string>",
"required": true,
"default": "<string>"
}
],
"contentType": "<string>",
"summary": "<string>",
"description": "<string>",
"graphqlQuery": "<string>",
"request": "<string>",
"response": "<string>"
}
],
"next": "<string>",
"prev": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.versori.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.